package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/regs/regs_models"
)

// FilingScheduleItemChannelWrapper wraps the object with workflow params
type FilingScheduleItemChannelWrapper struct {
	Obj      regs_models.FilingScheduleItem
	APIKey   string
	SagaID   string
	SagaType string
}

// FilingScheduleItem is a first class object type
type FilingScheduleItem struct {
	ID               string
	CreatedByID      string
	CreatedDate      sql.NullTime
	FilingTypeID     string
	Description      string
	DueDate          sql.NullTime
	LastModifiedByID string
	LastModifiedDate sql.NullTime
}
