package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/regs/regs_models"
)

// NotebookItemChannelWrapper wraps the object with workflow params
type NotebookItemChannelWrapper struct {
	Obj      regs_models.NotebookItem
	APIKey   string
	SagaID   string
	SagaType string
}

// NotebookItem is a first class object type
type NotebookItem struct {
	ID               string
	CreatedByID      string
	CreatedDate      sql.NullTime
	ItemName         string
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	Title            string
	NotebookID       string
}
